dofile("Scripts/mission.lua");
dofile("Scripts/msl.lua");

function PostCreate()
	mission_lua.BasicMissionInitialize()
	AIparts:AddOneTime("Spawn1", 10, func_Spawn1)
	AIparts:AddOneTime("Spawn2", 10, func_Spawn2)
	AIparts:AddOneTime("Flagge1", 10, func_Flagge1)
	AIparts:AddOneTime("Flagge2", 10, func_Flagge2)
	AIparts:AddOneTime("Flagge3", 10, func_Flagge3)
	AIparts:AddOneTime("Flagge4", 10, func_Flagge4)
	AIparts:AddOneTime("Flagge5", 10, func_Flagge5)
	AIparts:AddOneTime("Flagge6", 10, func_Flagge6)
	AIparts:AddOneTime("Flagge7", 10, func_Flagge7)
	AIparts:AddOneTime("Flagge8", 10, func_Flagge8)
	AIparts:AddOneTime("Flagge9", 10, func_Flagge9)
	AIparts:AddOneTime("Flagge10", 10, func_Flagge10)
	AIparts:AddOneTime("Flagge11", 10, func_Flagge11)
	AIparts:AddOneTime("Flagge12", 10, func_Flagge12)
	msd_vars = {
	}
end

function func_Spawn1()
	do
		RunSimpleSpawn(1, "Reinforcement", "Spawn_00")
		RunSimpleSpawn(2, "Reinforcement", "Spawn_00")
		RunSimpleSpawn(3, "Reinforcement", "Spawn_00")
		RunSimpleSpawn(4, "Reinforcement", "Spawn_00")
		RunSimpleSpawn(5, "Reinforcement", "Spawn_00")
		RunSimpleSpawn(7, "Reinforcement", "Spawn_00")
		RunSimpleSpawn(6, "Reinforcement", "Spawn_00")
		RunSimpleSpawn(8, "Reinforcement", "Spawn_00")
	end
end

function func_Spawn2()
	do
		RunSimpleSpawn(1, "Reinforcement1", "Spawn_00")
		RunSimpleSpawn(2, "Reinforcement1", "Spawn_00")
		RunSimpleSpawn(3, "Reinforcement1", "Spawn_00")
		RunSimpleSpawn(4, "Reinforcement1", "Spawn_00")
		RunSimpleSpawn(5, "Reinforcement1", "Spawn_00")
		RunSimpleSpawn(7, "Reinforcement1", "Spawn_00")
		RunSimpleSpawn(6, "Reinforcement1", "Spawn_00")
		RunSimpleSpawn(8, "Reinforcement1", "Spawn_00")
	end
end

function func_Flagge1()
	do
		SetFlag("Flagge1", 13, 360, false, 0, 0, {"Flag1", }, { }, true, {"", }, {0, }, {0, }, { }, "Spawn_00", 0, false, false, { }, { })
	end
end

function func_Flagge2()
	do
		SetFlag("Flagge2", 13, 360, false, 0, 0, {"Flag2", }, { }, true, {"", }, {0, }, {3, }, { }, "Spawn_00", 0, false, false, { }, { })
	end
end

function func_Flagge3()
	do
		SetFlag("Flagge3", 13, 360, false, 180, 0, {"Flag3", }, { }, true, {"", }, {0, }, {8, }, { }, "Spawn_00", 0, false, false, { }, { })
	end
end

function func_Flagge4()
	do
		SetFlag("Flagge4", 13, 360, false, 0, 0, {"Flag4", }, { }, true, {"", }, {0, }, {2, }, { }, "Spawn_00", 0, false, false, { }, { })
	end
end

function func_Flagge5()
	do
		SetFlag("Flagge5", 13, 480, false, 0, 0, { }, { }, true, {"", }, {0, }, {8, }, { }, "", 0, false, false, { }, { })
	end
end

function func_Flagge6()
	do
		SetFlag("Flagge6", 13, 480, false, 0, 0, { }, { }, true, {"", }, {0, }, {8, }, { }, "", 0, false, false, { }, { })
	end
end

function func_Flagge7()
	do
		SetFlag("Flagge7", 13, 480, false, 0, 0, {"", }, {"", }, true, {"", }, {0, }, {2, }, {-1, }, "", 0, false, false, {-1, }, {-1, })
	end
end

function func_Flagge8()
	do
		SetFlag("Flagge8", 13, 480, false, 0, 0, {"", }, {"", }, true, {"", }, {0, }, {2, }, {-1, }, "", 0, false, false, {-1, }, {-1, })
	end
end

function func_Flagge9()
	do
		SetFlag("Flagge9", 13, 480, false, 0, 0, {"", }, {"", }, true, {"", }, {0, }, {7, }, {-1, }, "", 0, false, false, {-1, }, {-1, })
	end
end

function func_Flagge10()
	do
		SetFlag("Flagge10", 13, 480, false, 0, 0, {"", }, {"", }, true, {"", }, {0, }, {7, }, {-1, }, "", 0, false, false, {-1, }, {-1, })
	end
end

function func_Flagge11()
	do
		SetFlag("Flagge11", 13, 480, false, 0, 0, {"", }, {"", }, true, {"", }, {0, }, {2, }, {-1, }, "", 0, false, false, {-1, }, {-1, })
	end
end

function func_Flagge12()
	do
		SetFlag("Flagge12", 13, 480, false, 0, 0, {"", }, {"", }, true, {"", }, {0, }, {2, }, {-1, }, "", 0, false, false, {-1, }, {-1, })
	end
end

